TYPO3-CORE-SA-2017-006: Information Disclosure in TYPO3 CMS

September 05, 2017

Category: TYPO3 CMS
Author: Oliver Hader
Keywords: Security, Information Disclosure

It has been discovered, that TYPO3 CMS is susceptible to Information Disclosure.

Component Type: TYPO3 CMS

Release Date: September 5, 2017

Vulnerability Type: Information Disclosure

Affected Versions: 7.6.0 to 7.6.21 and 8.0.0 to 8.7.4

Severity: Low

Suggested CVSS v2.0: AV:N/AC:M/Au:N/C:P/I:N/A:N/E:F/RL:OF/RC:C

CVE: not assigned yet

Problem Description: HTTP requests being performed using the TYPO3 API expose the specific TYPO3 version to the called endpoint.

Solution: Update to TYPO3 versions 7.6.22 or 8.7.5 that fix the problem described.

Credits: Thanks to TYPO3 core team member Sascha Egerer who reported the issue and to TYPO3 core team member Susanne Moog who fixed the issue.

General Advice: Follow the recommendations that are given in the TYPO3 Security Guide. Please subscribe to the typo3-announce mailing list.

General Note: All security related code changes are tagged so that you can easily look them up on our review system.